{
  "format_version": "1.16.100",
  "minecraft:block": {
    "description": {
      "identifier": "vatonage:soul_pedistool"
    },
    "components": {
      "minecraft:destroy_time": 999999,
      "minecraft:explosion_resistance": 15,

      "minecraft:block_light_emission": 1,
         "minecraft:material_instances": {
            "*": {
               "texture": "soul_pedistool",
               "render_method": "alpha_test"
            }
         },
         "minecraft:geometry": "geometry.soul_pedistool",
         "minecraft:block_light_absorption": 0,
        "minecraft:pick_collision": {
            "origin":  [-8.0, 0.0, -8.0],
            "size":   [16.0, 16.0, 16.0]
        },
         "minecraft:on_interact":{
            "event":"vatonage:fill"
         }
      },
      "events": {
         "vatonage:fill":{
                  "run_command":{
                     "command":"function scorched_boss"
                  }
         }
      }
   }
}